%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate gix-archive

Name:           rust-gix-archive
Version:        0.11.0
Release:    1%{?dist}
Summary:        Archive generation from of a worktree stream

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gix-archive
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Archive generation from of a worktree stream.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%exclude %{crate_instdir}/tests
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+document-features-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+document-features-devel %{_description}

This package contains library source intended for building other packages which
use the "document-features" feature of the "%{crate}" crate.

%files       -n %{name}+document-features-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tar-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tar-devel %{_description}

This package contains library source intended for building other packages which
use the "tar" feature of the "%{crate}" crate.

%files       -n %{name}+tar-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tar_gz-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tar_gz-devel %{_description}

This package contains library source intended for building other packages which
use the "tar_gz" feature of the "%{crate}" crate.

%files       -n %{name}+tar_gz-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zip-devel %{_description}

This package contains library source intended for building other packages which
use the "zip" feature of the "%{crate}" crate.

%files       -n %{name}+zip-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-1
- initial build
